<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Ajouter ici d'éventuels commentaires sur le fichier XML
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="bytecodewalk">
  <info>
    <pubdate>$LastChangedDate: 18-04-2008 $</pubdate>
  </info>
  <refnamediv>
    <refname>bytecodewalk</refname>
    <refpurpose>parcourt le pseudo code d'une fonction en appliquant un traitement</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>c1 = bytecodewalk(code,query,job)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>code</term>
        <listitem>
          <para>
            vecteur d'entiers (int32): le vecteur des pseudo codes de la fonction
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>query</term>
        <listitem>
          <para>
            intier, le code opératoire à rechercher
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>job</term>
        <listitem>
          <para>
            fonction, la fonction a appliquer pour le code opératoire requis
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>c1</term>
        <listitem>
          <para>
            vecteur d'entiers (int32): le vecteur des pseudo codes résultant
          </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
          Parcourt le pseudo code d'une fonction en appliquant un traitement, pour un code opératoire donné/
    </para>
  </refsection>
 
  <refsection>
    <title>Voir aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="bytecode">bytecode</link>
      </member>

    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>Serge Steer, INRIa</member>
    </simplelist>
  </refsection>
</refentry>
